Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.HTMLReader.CharacterAction

    java.lang.Object
      javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
          javax.swing.text.html.HTMLDocument.HTMLReader.CharacterAction

Enclosing class:
  HTMLDocument.HTMLReader

    public class HTMLDocument.HTMLReader.CharacterAction

extends HTMLDocument.HTMLReader.TagAction

Constructor Summary
`HTMLDocument.HTMLReader.CharacterAction()`

Method Summary
`void` | `end(HTML.Tag t)` Called when an end tag is seen for the type of tag this action was registered to.
`void` | `start(HTML.Tag t, MutableAttributeSet attr)` Called when a start tag is seen for the type of tag this action was registered to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLDocument.HTMLReader.CharacterAction

    public HTMLDocument.HTMLReader.CharacterAction()

Method Detail

### start

    public void start(HTML.Tag t,
                      MutableAttributeSet attr)

  Description copied from class: `HTMLDocument.HTMLReader.TagAction`
  Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

  Overrides:
    `start` in class `HTMLDocument.HTMLReader.TagAction`

### end

    public void end(HTML.Tag t)

  Description copied from class: `HTMLDocument.HTMLReader.TagAction`
  Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

  Overrides:
    `end` in class `HTMLDocument.HTMLReader.TagAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.